> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whatabot.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Workspace

> Create a new workspace.

A workspace is an **isolated environment** within your account. Each workspace has its own flows, sectors, API keys, OAuth clients, and variables — completely separated from other workspaces.

Use workspaces to separate different projects, products, or clients. For example, you might have one workspace for your e-commerce support bot and another for your internal HR bot.

<ParamField header="X-Api-Key" type="string" required>
  Your API key (prefixed with `wh_`).
</ParamField>

### Body

<ParamField body="name" type="string" required>
  Workspace name.
</ParamField>

<ParamField body="timezone" type="string">
  Workspace timezone (e.g. `America/Sao_Paulo`).
</ParamField>

### Payload examples

<Tabs>
  <Tab title="Basic">
    ```json theme={null}
    {
      "name": "My Workspace"
    }
    ```
  </Tab>

  <Tab title="With timezone">
    ```json theme={null}
    {
      "name": "My Workspace",
      "timezone": "America/Sao_Paulo"
    }
    ```
  </Tab>
</Tabs>

<RequestExample>
  ```bash theme={null}
  curl -X POST https://api.whatabot.app/api/v1/workspaces \
    -H "X-Api-Key: wh_your_api_key" \
    -H "Content-Type: application/json" \
    -d '{"name": "My Workspace", "timezone": "America/Sao_Paulo"}'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  ```
</ResponseExample>
